RPMUNCOMPRESS(1)

NUME
rpmuncompress - ustensilă RPM pentru fișiere comprimate și arhive

SINOPSIS
rpmuncompress [opțiuni] FIȘIER

rpmuncompress [opțiuni] [opțiuni-extragere] {-x|--extract} ARHIVĂ

DESCRIERE
rpmuncompress este o ustensilă pentru afișarea transparentă a fișierelor comprimate și necomprimate, și pentru extragerea arhivelor.

În mod normal, este invocată intern de rpmbuild(1) pentru a gestiona sarcinile legate de %setup și %patch din fișierele spec, dar poate fi utilă și invocată manual. Directorul de instalare al rpmuncompress poate fi determinat cu rpm --E "%{_rpmconfigdir}".

ARGUMENTE
FIȘIER
    Un fișier obișnuit, opțional comprimat.

ARHIVĂ
    O arhivă tar(1), zip(1) sau Ruby GEM. Arhivele tar pot fi comprimate.

OPERAȚII
În mod implicit, rpmuncompress afișează FIȘIERUL la ieșirea standard similar cu cat(1), dar decomprimând în mod transparent multe formate de comprimare populare, similar cu zcat(1).

-x, --extract
    Extrage ARHIVA pasată ca argument în directorul curent, decomprimând în mod transparent arhivele tar(1) dacă este necesar.

OPȚIUNI
-n, --dry-run
    Afișează comanda shell care ar fi executată fără această opțiune.

OPȚIUNI DE EXTRAGERE
-C RUTA, --path=RUTA
    Extrage în RUTA indiferent de structura internă a arhivei.

-v, --verbose
    Furnizează informații detaliate privind extragerea la ieșire.

STARE DE IEȘIRE
În caz de succes, se returnează 0, iar în caz contrar se returnează un cod de eșec diferit de zero.

EXEMPLE
rpmuncompress /tmp/3911.patch.gz | patch -p1
    Decomprimă și afișează /tmp/3911.patch.gz, similar cu zcat(1), și redirecționează către patch(1).

rpmuncompress -x proiectul-meu.zip
    Extrage arhiva proiectul-meu.zip în directorul curent.

rpmuncompress -x -C proiectul-meu-1.0.7rc1.tar.gz
    Decomprimă și extrage arhiva proiectul-meu-1.0.7rc1.tar.gz în directorul proiectul-meu, indiferent de structura sa internă.

CONSULTAȚI ȘI
rpmbuild(1), popt(3)

http://www.rpm.org/

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.